Skip to main content
GET
/
inbounds
List inbound shipments
curl --request GET \
  --url https://api.quivo.co/inbounds
[
  {
    "sellerId": 123,
    "warehouseId": 123,
    "shipFrom": {
      "name1": "<string>",
      "name2": "<string>",
      "company": "<string>",
      "address1": "<string>",
      "address2": "<string>",
      "address3": "<string>",
      "zip": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "phone": "<string>",
      "email": "<string>"
    },
    "estimatedArrivalTime": "2023-11-07T05:31:56Z",
    "deliverySlipNumber": "<string>",
    "customAttributes": "{\"attr1\":\"val1\"}",
    "movementReferenceNumber": "<string>",
    "id": 123,
    "created": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "inboundIdentifier": "<string>",
    "sort": {
      "short": true,
      "nodeType": "ARRAY",
      "float": true,
      "binary": true,
      "number": true,
      "integralNumber": true,
      "boolean": true,
      "double": true,
      "long": true,
      "int": true,
      "valueNode": true,
      "containerNode": true,
      "missingNode": true,
      "object": true,
      "pojo": true,
      "floatingPointNumber": true,
      "bigDecimal": true,
      "bigInteger": true,
      "textual": true,
      "array": true,
      "null": true
    },
    "trackingLink": "<string>",
    "trackingNumber": "<string>",
    "carrier": "<string>",
    "createdByLogsta": true,
    "inboundStatus": "PENDING",
    "tags": [
      "<string>"
    ],
    "inboundPositions": [
      {
        "inboundPositionId": 123,
        "sku": "<string>",
        "warehouseSku": "<string>",
        "articleIdentifier": "<string>",
        "quantity": 123,
        "customAttributes": {}
      }
    ],
    "inboundShipments": [
      {
        "inboundShipmentIdentifier": "<string>",
        "arrivedAt": "2023-11-07T05:31:56Z",
        "inboundShipmentPositions": [
          {
            "quantity": 123,
            "warehouseSku": "<string>",
            "lot": "<string>",
            "positionIdentifier": "<string>",
            "location": "<string>",
            "expirationDate": "2023-12-25"
          }
        ],
        "totalGrossWeight": 123
      }
    ],
    "deliveryInfo": {
      "cargoType": "CARTON",
      "quantity": 2
    }
  }
]

Query Parameters

query
string

Search query string used to filter results. This field supports specific syntax for filtering across multiple fields.

sort
string

Optional sorting criteria for the results. Format is typically 'field:direction' (e.g., 'created:desc').

page
integer<int64>

The page number to retrieve when using offset-based pagination. Ignored if 'searchAfter' is provided.

searchAfter
string

Used for cursor-based pagination. Pass the 'sort' key value from the last item of the previous page to retrieve the next set of results efficiently. Overrides 'page'.

pageSize
integer<int64>

The maximum number of items to return per page. Used for both offset and cursor-based pagination.

Response

Returns an array of inbound shipment summaries with key identifiers and status information.

sellerId
integer<int64>
required

Seller ID.

warehouseId
integer<int64>
required

Warehouse ID.
A list of warehouse identifiers and names can be obtained by executing GET /warehouses

shipFrom
object
required

Detailed address information

estimatedArrivalTime
string<date-time>
required

Estimated date of arrival

deliverySlipNumber
string
required

Delivery slip number

customAttributes
object

Optional custom attributes of this inbound.

Example:

"{\"attr1\":\"val1\"}"

movementReferenceNumber
string

Optional movement reference number. Unique identifier assigned to customs declarations within the UK and EU

Maximum string length: 1024
id
integer<int64>

The unique identifier for the id

created
string<date-time>

Timestamp when the item was created

completedAt
string<date-time>

The completed at timestamp

cancelledAt
string<date-time>

The cancelled at timestamp

inboundIdentifier
string

The unique identifier for the inboundentifier

sort
object

The

Tracking information or tracking enabled status

trackingNumber
string

Tracking information or tracking enabled status

carrier
string

Carrier identifier or information

createdByLogsta
boolean

Timestamp when the item was created

inboundStatus
enum<string>

The current status of the inbound

Available options:
PENDING,
CREATED,
PROCESSING,
COMPLETED,
CANCELLED
tags
string[]

Tags or labels

inboundPositions
object[]

Array of inbound position

inboundShipments
object[]

Shipment identifier or information

deliveryInfo
object

Detailed information for inbounddeliveryinfo